use std::sync::Arc;

use services::InMemoryDownloadService;

pub mod services;
mod youtube;

#[allow(dead_code)]
pub struct App {
    pub download_service: Arc<InMemoryDownloadService>,
}

impl App {
    pub fn new() -> Self {
        Self {
            download_service: Arc::new(InMemoryDownloadService::new()),
        }
    }
}
